play.db

## Class Configuration

- java.lang.Object
- - play.db.Configuration

-     public class Configuration
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `configName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Configuration(java.lang.String configurationName)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Set<java.lang.String>` | `getDbNames()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getProperties()`
    `java.lang.String` | `getProperty(java.lang.String key)`
    `java.lang.String` | `getProperty(java.lang.String key, java.lang.String defaultString)`
    `boolean` | `isDefault()`
    `java.lang.Object` | `put(java.lang.String key, java.lang.String value)` Add a parameter in the configuration

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### configName

          public java.lang.String configName

  - ### Constructor Detail

    - #### Configuration

          public Configuration(java.lang.String configurationName)

  - ### Method Detail

    - #### isDefault

          public boolean isDefault()

    - #### getDbNames

          public static java.util.Set<java.lang.String> getDbNames()

    - #### getProperty

          public java.lang.String getProperty(java.lang.String key)

    - #### getProperty

          public java.lang.String getProperty(java.lang.String key,
                                              java.lang.String defaultString)

    - #### put

          public java.lang.Object put(java.lang.String key,
                                      java.lang.String value)

      Add a parameter in the configuration
      Parameters:
        `key` - the key of the parameter
        `value` - the value of the parameter
      Returns:
        the previous value of the specified key in this hashtable, or null if it did not have one

    - #### getProperties

          public java.util.Map<java.lang.String,java.lang.String> getProperties()

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly